Bug 171734 - [NEW PORT] editors/py27-loook: Simple Python tool that search in OpenOffice files
Summary: [NEW PORT] editors/py27-loook: Simple Python tool that search in OpenOffice f...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rusmir Dusko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-18 10:40 UTC by nemysis
Modified: 2013-12-15 17:18 UTC (History)
1 user (show)

See Also:


Attachments
.shar (2.06 KB, text/plain)
2012-09-18 10:40 UTC, nemysis
no flags Details
loook.diff (368 bytes, patch)
2012-09-18 18:47 UTC, nemysis
no flags Details | Diff
loook.shar (2.08 KB, application/x-shar)
2013-02-15 11:29 UTC, nemysis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-09-18 10:40:04 UTC
Loook is a simple Python tool that searches for text strings in OpenOffice.org
(and StarOffice 6.0 or later) files.
It works under FreeBSD, Linux, Windows and Macintosh.
AND, OR and phrase searches are supported. It doesn't create an index,
but searching should be fast enough unless you have really many files.

WWW: http://www.danielnaber.de/loook/

Generated and tested manually, tested with port test and with RedPorts (all RELEASES, CLANG), sent with FreeBSD Port Tools 0.99_6 (mode: new)

How-To-Repeat: 
portlint -A
WARN: Makefile: [9]: possible direct use of command "python" found. use ${PYTHON_CMD} instead.
WARN: Makefile: only one MASTER_SITE configured.  Consider adding additional mirrors.
0 fatal errors and 2 warnings found.

WARN: Makefile: [9] because is used

DIST_SUBDIR=    python


Build log RedPorts

https://redports.org/buildarchive/20120917161120-57169/
Comment 1 nemysis 2012-09-18 18:47:31 UTC
Have make a mistake right group is textproc.
Comment 2 nemysis 2013-02-15 11:29:36 UTC
Minor changes
Comment 3 Martin Wilke freebsd_committer 2013-08-14 10:23:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nemysis

submitter is committer now.
Comment 4 dfilter service freebsd_committer 2013-12-15 17:06:09 UTC
Author: nemysis
Date: Sun Dec 15 17:05:55 2013
New Revision: 336558
URL: http://svnweb.freebsd.org/changeset/ports/336558

Log:
  Loook is a simple Python tool that searches for text strings in
  LibreOffice and OpenOffice.org files.
  
  AND, OR and phrase searches are supported. It doesn't create an index,
  but searching should be fast enough unless you have really many files.
  
  WWW: http://www.danielnaber.de/loook/
  
  PR:		ports/171734
  Submitted by:	nemysis (self)
  Approved by:	wg (mentor)

Added:
  head/textproc/loook/
  head/textproc/loook/Makefile   (contents, props changed)
  head/textproc/loook/distinfo   (contents, props changed)
  head/textproc/loook/pkg-descr   (contents, props changed)
Modified:
  head/textproc/Makefile

Modified: head/textproc/Makefile
==============================================================================
--- head/textproc/Makefile	Sun Dec 15 16:58:20 2013	(r336557)
+++ head/textproc/Makefile	Sun Dec 15 17:05:55 2013	(r336558)
@@ -404,6 +404,7 @@
     SUBDIR += linux-f10-scim-libs
     SUBDIR += linuxdoc
     SUBDIR += localize
+    SUBDIR += loook
     SUBDIR += lt-aspell
     SUBDIR += lt-hyphen
     SUBDIR += lttoolbox

Added: head/textproc/loook/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/loook/Makefile	Sun Dec 15 17:05:55 2013	(r336558)
@@ -0,0 +1,36 @@
+# Created by: Rusmir Dusko <nemysis@FreeBSD.org>
+# $FreeBSD$
+
+PORTNAME=	loook
+PORTVERSION=	0.6.5
+CATEGORIES=	textproc
+MASTER_SITES=	http://www.danielnaber.de/loook/
+DISTNAME=	${PORTNAME}
+DIST_SUBDIR=	python
+
+MAINTAINER=	nemysis@FreeBSD.org
+COMMENT=	Simple Python tool that search in LibreOffice/OpenOffice files
+
+LICENSE=	GPLv2
+
+RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}tkinter>=0:${PORTSDIR}/x11-toolkits/py-tkinter \
+		${PYTHON_PKGNAMEPREFIX}iniparse>=0:${PORTSDIR}/devel/py-iniparse
+
+WRKSRC=		${WRKDIR}
+
+USE_ZIP=	yes
+USE_PYTHON=	2.7
+NO_BUILD=	yes
+
+PLIST_FILES=	bin/${PORTNAME}
+
+post-patch:
+	@${REINPLACE_CMD} -e 's|/usr/bin/python|${PYTHON_CMD}|' \
+		${WRKSRC}/${PORTNAME}.py
+	@(cd ${WRKSRC} ; ${RM} *.py.bak)
+
+do-install:
+	${INSTALL_SCRIPT} ${WRKSRC}/${PORTNAME}.py \
+		${STAGEDIR}${PREFIX}/bin/${PORTNAME}
+
+.include <bsd.port.mk>

Added: head/textproc/loook/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/loook/distinfo	Sun Dec 15 17:05:55 2013	(r336558)
@@ -0,0 +1,2 @@
+SHA256 (python/loook.zip) = 65cb98991b9e6322af60a7ef1b47c429ad12ec50774375e46a5c733995eccfd4
+SIZE (python/loook.zip) = 11860

Added: head/textproc/loook/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/loook/pkg-descr	Sun Dec 15 17:05:55 2013	(r336558)
@@ -0,0 +1,7 @@
+Loook is a simple Python tool that searches for text strings in
+LibreOffice and OpenOffice.org files.
+
+AND, OR and phrase searches are supported. It doesn't create an index,
+but searching should be fast enough unless you have really many files.
+
+WWW: http://www.danielnaber.de/loook/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Rusmir Dusko freebsd_committer 2013-12-15 17:18:22 UTC
State Changed
From-To: open->closed

New port added. Thanks!